org.apache.flume

## Interface EventDrivenSource

- All Superinterfaces:
    LifecycleAware, NamedComponent, Source
  All Known Implementing Classes:
    AbstractEventDrivenSource, AvroLegacySource, AvroSource, EmbeddedSource, ExecSource, HTTPSource, MultiportSyslogTCPSource, NetcatSource, ScribeSource, SpoolDirectorySource, SyslogTcpSource, SyslogUDPSource, ThriftLegacySource, ThriftSource, TwitterSource

      public interface EventDrivenSource
      extends Source

  A `Source` that does not need an external driver to poll for events to ingest; it provides its own event-driven mechanism to invoke event processing.

- - ### Method Summary

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.